Bug 208149 - www/jetty9: Update to 9.3.8
Summary: www/jetty9: Update to 9.3.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords: easy, patch-ready
Depends on:
Blocks:
 
Reported: 2016-03-19 22:26 UTC by David Harrigan
Modified: 2016-03-25 15:17 UTC (History)
2 users (show)

See Also:


Attachments
Patch File (8.98 KB, patch)
2016-03-19 22:26 UTC, David Harrigan
dharrigan: maintainer-approval+
Details | Diff
Poudriere Test Run (23.07 KB, text/x-log)
2016-03-19 22:26 UTC, David Harrigan
no flags Details
Patch File (8.75 KB, patch)
2016-03-19 22:29 UTC, David Harrigan
dharrigan: maintainer-approval+
Details | Diff
Patch File (9.49 KB, patch)
2016-03-22 10:07 UTC, David Harrigan
dharrigan: maintainer-approval+
Details | Diff
Poudriere Test Run (22.99 KB, text/x-log)
2016-03-22 10:10 UTC, David Harrigan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Harrigan 2016-03-19 22:26:18 UTC
Created attachment 168409 [details]
Patch File

Hi,

Patch file attached for the latest and greated Jetty 9. Please can this be tested and considered for inclusion in the ports tree (Poudriere test run attached too).

Thank you.

-=david=-
Comment 1 David Harrigan 2016-03-19 22:26:42 UTC
Created attachment 168410 [details]
Poudriere Test Run
Comment 2 David Harrigan 2016-03-19 22:29:25 UTC
Created attachment 168411 [details]
Patch File
Comment 3 David Harrigan 2016-03-22 10:07:50 UTC
Created attachment 168486 [details]
Patch File
Comment 4 David Harrigan 2016-03-22 10:10:30 UTC
Created attachment 168487 [details]
Poudriere Test Run
Comment 5 Johannes Jost Meixner freebsd_committer 2016-03-22 10:34:31 UTC
Thanks for the updated pkg-plist, it should make future maintenance much easier.

The rest looks good to me!
Comment 6 David Harrigan 2016-03-22 10:42:35 UTC
You're most welcome! Thank you for the helpful suggestion :-)
Comment 7 Jason Helfman freebsd_committer 2016-03-25 15:16:11 UTC
Thanks for the report! This has just been committed!
Comment 8 commit-hook freebsd_committer 2016-03-25 15:16:16 UTC
A commit references this bug:

Author: jgh
Date: Fri Mar 25 15:15:53 UTC 2016
New revision: 411849
URL: https://svnweb.freebsd.org/changeset/ports/411849

Log:
  - update to 9.3.8
  - address pkg listing to simplify future updates

  PR:		208149
  Reviewed by:	xmj@
  Submitted by:	dharrigan@gmail.com (maintainer)

Changes:
  head/www/jetty9/Makefile
  head/www/jetty9/distinfo
  head/www/jetty9/files/patch-bin_jetty.sh
  head/www/jetty9/pkg-plist
Comment 9 David Harrigan 2016-03-25 15:17:38 UTC
Hi Jason!

Thank you very much :-)

-=david=-